Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.resource.loader
Class JarHolder

    java.lang.Object
      |
      +--org.apache.velocity.runtime.resource.loader.JarHolder

public class JarHolder
extends java.lang.Object

A small wrapper around a Jar

Version:
  $Id: JarHolder.java,v 1.7 2001/08/07 21:58:18 geirm Exp $
Author:
  Dave Bryson

Field Summary
`private java.net.JarURLConnection` | `conn`
`private RuntimeServices` | `rsvc`
`private java.util.jar.JarFile` | `theJar`
`private java.lang.String` | `urlpath`

Constructor Summary
`JarHolder(RuntimeServices rs, java.lang.String urlpath)`

Method Summary
`void` | `close()`
`java.util.Hashtable` | `getEntries()`
`java.io.InputStream` | `getResource(java.lang.String theentry)`
`java.lang.String` | `getUrlPath()`
`void` | `init()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### urlpath

    private java.lang.String urlpath

### theJar

    private java.util.jar.JarFile theJar

### conn

    private java.net.JarURLConnection conn

### rsvc

    private RuntimeServices rsvc

Constructor Detail

### JarHolder

    public JarHolder(RuntimeServices rs,
                     java.lang.String urlpath)

Method Detail

### init

    public void init()

### close

    public void close()

### getResource

    public java.io.InputStream getResource(java.lang.String theentry)
                                    throws ResourceNotFoundException

### getEntries

    public java.util.Hashtable getEntries()

### getUrlPath

    public java.lang.String getUrlPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.